=== debian/control ===
Source: p8-platform
Maintainer: Lars Op den Kamp <lars.opdenkamp@pulse-eight.com>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Section: libs
Priority: extra
Build-Depends: debhelper (>= 9),
               cmake (>= 2.8.9)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/p8-platform.git
Vcs-Git: git://anonscm.debian.org/collab-maint/p8-platform.git
Homepage: https://github.com/Pulse-Eight/platform

Package: libp8-platform-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libp8-platform2 (= ${binary:Version}),
         ${misc:Depends},
         libfstrcmp-dev,
         g++ (>= 4:5.2)
Provides: libp8-platform-dev
Description: Pulse-Eight's platform support library -- development files
 Platform support library of Pulse-Eight. It includes C++ wrappers for
 platform-specific atomic operations, threading, sockets and also
 string utilities.
 .
 This package provides the necessary files needed for development.

Package: libp8-platform2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libp8-platform2v4
Provides: libp8-platform
Replaces: libp8-platform2v4
Description: Pulse-Eight's platform support library
 Platform support library of Pulse-Eight. It includes C++ wrappers for
 platform-specific atomic operations, threading, sockets and also
 string utilities.
