## p8-platform 2.1.0.1%2Bdfsg1

=== debian/changelog ===
p8-platform (2.1.0.1+dfsg1-4) unstable; urgency=medium

  * Orphaning the package

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper from old 12 to 13.

  [ Balint Reczey ]
  * Update symbols to mark the ones disappearing in LTO builds as optional
    (Closes: #1015576)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 20 Jul 2022 17:56:05 +0200

p8-platform (2.1.0.1+dfsg1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/rules: Remove trailing whitespaces

  [ Helmut Grohne ]
  * Drop the g++ dependency added for the GCC5 transition (Closes: #942198)

  [ Balint Reczey ]
  * debian/gitlab-ci.yml: Add simple Salsa CI configuration
  * Bump compat level to 12
  * Update symbols

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 12 Oct 2019 22:58:10 +0200

p8-platform (2.1.0.1+dfsg1-2) unstable; urgency=medium

  * Update symbols to build with GCC8 (Closes: #897831)
  * Move packaging to Salsa
  * Use my @ubuntu.com email address in Maintainer field
  * Change priority from extra to optional conforming to Policy change

 -- Balint Reczey <rbalint@ubuntu.com>  Sun, 29 Jul 2018 12:13:31 +0800

p8-platform (2.1.0.1+dfsg1-1) unstable; urgency=medium

  * Fix FTBFS on kfreebsd and hurd (Closes: 837447)
  * Drop trailing slash from excluded file's name
  * Imported Upstream version 2.1.0.1+dfsg1
  * Refresh patches
  * Use secure URI in Vcs-Git

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 17 Dec 2016 10:15:49 +0100
