## p8-platform 2.1.0.1+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,8 +12,8 @@
 set(p8-platform_NAME p8-platform)
 set(p8-platform_DESCRIPTION "Pulse-Eight platform support library")
 set(p8-platform_VERSION_MAJOR 2)
-set(p8-platform_VERSION_MINOR 0)
-set(p8-platform_VERSION_PATCH 1)
+set(p8-platform_VERSION_MINOR 1)
+set(p8-platform_VERSION_PATCH 0)
 
 set(CMAKE_POSITION_INDEPENDENT_CODE on)
 
@@ -30,7 +30,7 @@
 
 if(NOT ${CORE_SYSTEM_NAME} STREQUAL "")
   if(${CORE_SYSTEM_NAME} STREQUAL "osx" OR ${CORE_SYSTEM_NAME} STREQUAL "ios")
-    list(APPEND p8-platform_LIBRARIES "-framework CoreVideo -framework IOKit")
+    list(APPEND p8-platform_LIBRARIES "-framework CoreVideo")
   endif()
 endif()
 
@@ -39,7 +39,7 @@
 add_library(p8-platform ${SOURCES} ${PLAT_SOURCES})
 target_link_libraries(p8-platform ${p8-platform_LIBRARIES})
 set_target_properties(p8-platform PROPERTIES VERSION ${p8-platform_VERSION_MAJOR}.${p8-platform_VERSION_MINOR}.${p8-platform_VERSION_PATCH}
-                                              SOVERSION ${p8-platform_VERSION_MAJOR}.0)
+                                              SOVERSION ${p8-platform_VERSION_MAJOR})
 
 install(TARGETS p8-platform DESTINATION ${CMAKE_INSTALL_LIBDIR})
 install(FILES src/os.h DESTINATION include/p8-platform)
@@ -74,12 +74,12 @@
 IF(NOT WIN32)
   configure_file(p8-platform.pc.in p8-platform.pc @ONLY)
   install(FILES ${CMAKE_BINARY_DIR}/p8-platform.pc
-          DESTINATION ${CMAKE_INSTALL_LIBDIR_NOARCH}/pkgconfig)
+          DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
 ENDIF(NOT WIN32)
 
 # config mode
 configure_file (p8-platform-config.cmake.in
                 p8-platform-config.cmake @ONLY)
 install(FILES ${CMAKE_BINARY_DIR}/p8-platform-config.cmake
-        DESTINATION ${CMAKE_INSTALL_LIBDIR_NOARCH}/p8-platform)
+        DESTINATION ${CMAKE_INSTALL_LIBDIR}/p8-platform)
