=== debian/changelog ===
p8-platform (2.1.0.1+dfsg1-5) unstable; urgency=medium

  * QA upload.
  * Update .symbols control file.
  * Fix building with CMake 4.  (Closes: #1113383)
  * Enable all hardening flags.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 30 Sep 2025 03:40:39 +0200
