=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: p8-platform
-Maintainer: Lars Op den Kamp <lars.opdenkamp@pulse-eight.com>
-Uploaders: Balint Reczey <balint@balintreczey.hu>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: libs
-Priority: extra
-Build-Depends: debhelper (>= 9),
-               cmake (>= 2.8.9)
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               cmake
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/p8-platform.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/p8-platform.git
+Vcs-Browser: https://salsa.debian.org/debian/p8-platform
+Vcs-Git: https://salsa.debian.org/debian/p8-platform.git -b master
 Homepage: https://github.com/Pulse-Eight/platform
 
 Package: libp8-platform-dev
@@ -17,7 +16,6 @@
 Depends: libp8-platform2 (= ${binary:Version}),
          ${misc:Depends},
          libfstrcmp-dev,
-         g++ (>= 4:5.2)
 Provides: libp8-platform-dev
 Description: Pulse-Eight's platform support library -- development files
  Platform support library of Pulse-Eight. It includes C++ wrappers for
